<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE, NOT OPEN SOURCE (GPL).
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
global $HTMLHeader;

//$HTMLHeader->CSS($this->getURLofScript('bootstrapslideshow.css'));

$slideshow_count = count($slideshow_array);
$slideshow_css_id = SAFE_HTML($this->block_name);
$slideshow_height = $height;
?> 
<?php if ($slideshow_array): ?>
<!-- Foundation 6.2.4 Orbit Slideshow -->
     <div id="<?= $slideshow_css_id ?>" class="orbit" role="region" data-orbit="1" data-options="animInFromLeft:fade-in; animInFromRight:fade-in; animOutToLeft:fade-out; animOutToRight:fade-out;">
        <!-- Inner -->
        <ul class="orbit-container">
        <!-- Indicators -->
        <button class="orbit-previous"><span class="show-for-sr"><?= ___('Previous Slide') ?></span>&#9664;&#xFE0E;</button>
        <button class="orbit-next"><span class="show-for-sr"><?= ___('Next Slide') ?></span>&#9654;&#xFE0E;</button>
            
            <?php for ($i = 0; $i < $slideshow_count; $i++): ?>
            <?php $slide = $slideshow_array[$i]; ?>
                <li class="<?= $i == 0 ? 'is-active' : '' ?> orbit-slide schlix-orbit-slide">
                    <div class="schlix-orbit-div row">
                    <img class="orbit-image schlix-foundation-orbit-img" src="<?= $this->app->getDataFileURLPath('image_large', $slide['image']); ?>" alt="<?= SAFE_HTML($slide['title']); ?>" />
                    <?php if (!empty($slide['summary'])): ?>
                        <h4><?= SAFE_HTML($slide['title']); ?></h4>
                            <div class="slide_text">
                                <?= $slide['summary']; ?>
                            </div>
                    <?php endif; ?>
                    </div>
                </li>
            <?php endfor; ?>
        </ul>
        <!-- Orbit-Nav -->
        <nav class="orbit-bullets">
            <?php for ($i = 0; $i < $slideshow_count; $i++): ?>
                <button data-slide="<?= $i ?>"  <?= ($i == 0) ? 'class="is-active"' : '' ?>><span class="show-for-sr"><?= $slideshow_array[$i]['title'] ?></span></button>
            <?php endfor; ?>
        </nav>
        
    </div>
    <!-- /.carousel -->    
    <!-- /.carousel -->
<script type="text/javascript">
 
</script>
<?php endif; ?>