/**
 * Blank Zurb Foundation 6 - must be executed before Foundation JS is loaded
 * 
 * 
 * 
 * @copyright SCHLIX Web Inc
 *
 * @license MIT
 *
 * @package blankzurbfoundation6
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */

// Bootstrap 3 does not allow submenu level greater than 2 by default. This 
// is the patch
$(document).ready(function(){
	 
    /**
     * Fix bootstrap class
     * @param {string} orig
     * @param {string} newclass
     */
    function fixMenu(orig, newclass)
    {
        $(orig).each(function(li) { 

            $(this).addClass(newclass); 
            $(this).attr('data-dropdown-menu','1'); 

        });    
    }

    fixMenu ('.navbar-nav', 'dropdown menu');

});

